Bug 976289 - Slow SecureRandom initialization during startup
Slow SecureRandom initialization during startup
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: PicketLink (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER03
: 6.1.0
Assigned To: Boleslaw Dawidowicz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 05:43 EDT by Peter Palaga
Modified: 2013-11-04 03:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3136 Major Resolved Slow SecureRandom initialization during startup 2014-01-30 09:29:28 EST

  None (edit)
Description Peter Palaga 2013-06-20 05:43:56 EDT
Description of problem:

From JBoss console on JPP starup:

17:00:33,114 INFO  [org.picketlink.idm.impl.credential.DatabaseReadingSaltEncoder] (MSC service thread 1-3) Algorithm SHA1PRNG will be used for random generating of password salts
17:00:43,391 INFO  [exo.jcr.component.webdav.WebDavServiceInitParams] (MSC service thread 1-3) def-folder-node-type = nt:folder

That is a 10 seconds delay. It is probably the very same problem as has already been fixed for CookieTokenService: https://issues.jboss.org/browse/GTNPORTAL-2828

Note that my notebook where I experienced both this and GTNPORTAL-2828 belongs to the faster ones: Nick Scavelli's machine needed as much as 40-50 seconds.

How reproducible:
Start an out of the box JPP 6.1.0.ER1 and observe the console.
Comment 2 Dominik Pospisil 2013-07-08 03:26:41 EDT
Verified (ER2).

Note You need to log in before you can comment on or make changes to this bug.